/***************************************************************************
 *            Core.h
 *
 *  Copyright  2008  Fernando Tarín Morales
 *  icemanf@gmail.com
 ****************************************************************************/

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */

#ifndef CORE_H
#define CORE_H

#include "AlertsManager.h"
#include "SessionManager.h"
#include "SetupManager.h"
#include "TorrentsManager.h"

namespace Lince
{

class Core
{
	static AlertsManagerPtr am;
	static SessionManagerPtr ssm;
	static SetupManagerPtr sm;
	static TorrentsManagerPtr tm;
	
	static Core *self;
	
	Core();
	
public:	
	static void init();
	static void uninit();
		
	static AlertsManagerPtr get_alerts_manager();
	static SessionManagerPtr get_session_manager();
	static SetupManagerPtr get_setup_manager();
	static TorrentsManagerPtr get_torrents_manager();
		
	~Core();
};

} // Namespace

#endif
