//           BaseTab.cc
//  Sat Feb 17 20:47:06 2007
//  Copyright  2007  Fernando Tarín Morales
//  icemanf@gmail.com

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA

#include "BaseTab.h"

BaseTab::BaseTab():
	tabWidget(false, 1)
{
	tabImageButton.set(Gtk::Stock::CLOSE, Gtk::ICON_SIZE_MENU);
			
	tabButton.set_image(tabImageButton);
	tabButton.set_focus_on_click(false);
	tabButton.set_relief(Gtk::RELIEF_NONE);

	tabButton.property_width_request() = 24;
	tabButton.property_height_request() = 23;

	tabWidget.pack_start(tabLabel);
	tabWidget.pack_start(tabButton);
	tabWidget.show_all_children();
		
	shownTab = false;
}

BaseTab::BaseTab(Glib::ustring Label):
	tabWidget(false, 1)
{
		
	tabLabel.set_label(Label);
	tabImageButton.set(Gtk::Stock::CLOSE, Gtk::ICON_SIZE_MENU);

	tabButton.set_image(tabImageButton);
	tabButton.set_focus_on_click(false);
	tabButton.set_relief(Gtk::RELIEF_NONE);

	tabButton.property_width_request() = 24;
	tabButton.property_height_request() = 23;

	tabWidget.pack_start(tabLabel);
	tabWidget.pack_start(tabButton);
	tabWidget.show_all_children();

	shownTab = false;
}

BaseTab::BaseTab(const BaseTab &bt):
	tabWidget(false, 1)
{
	tabLabel.set_label(bt.tabLabel.get_label());
	
	tabImageButton.set(Gtk::Stock::CLOSE, Gtk::ICON_SIZE_MENU);

	tabButton.set_image(tabImageButton);
	tabButton.set_focus_on_click(false);
	tabButton.set_relief(Gtk::RELIEF_NONE);

	tabButton.property_width_request() = 24;
	tabButton.property_height_request() = 23;

	tabWidget.pack_start(tabLabel);
	tabWidget.pack_start(tabButton);
	tabWidget.show_all_children();
		
	shownTab = bt.shownTab;
}

BaseTab& BaseTab::operator=(const BaseTab &bt){
	if ( this != &bt ) {
		tabLabel.set_label(bt.tabLabel.get_label());
		shownTab = bt.shownTab;
	}
	return *this;
}

BaseTab::~BaseTab(){
}
