/***************************************************************************
 *            PiecesInfoNoteBookTab.h
 *
 *  Mon Sep 10 00:54:16 2007
 *  Copyright  2007  Fernando Tarín Morales
 *  icemanf@gmail.com
 ****************************************************************************/

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#ifndef _PIECESINFONOTEBOOK_H
#define _PIECESINFONOTEBOOK_H

#include "gtkmm.h"

#include "Utils.h"

#include "Lince/Torrent.h"

class PiecesInfoNoteBookTab: public Gtk::ScrolledWindow
{
	private:
		Glib::ustring nameTab;
	
		class PiecesModelColumns : public Gtk::TreeModel::ColumnRecord
		{
			public:
				PiecesModelColumns() {add(m_piece_num); add(m_piece_percentage);}
			
				Gtk::TreeModelColumn<int> m_piece_num;
				Gtk::TreeModelColumn<int> m_piece_percentage;
		};
	
		PiecesModelColumns piecesColumns;
		// Rows
		Gtk::TreeView piecesTreeView;
		Glib::RefPtr<Gtk::ListStore> refTreeModel;
	
		void unselectRows();
	
	public:
		PiecesInfoNoteBookTab();
		~PiecesInfoNoteBookTab();
	
		const Glib::ustring & getNameTab() { return nameTab; };
		void updatePiecesInfoNoteBookTab(Lince::Torrent *);
	
		virtual Gtk::Widget * getTabChild(void) { return this; };
};

#endif /* _PIECESINFONOTEBOOK_H */
